Skip to content
Start here

Get time series of certificate distribution by dimension

client.Radar.CT.TimeseriesGroups(ctx, dimension, query) (*CTTimeseriesGroupsResponse, error)
GET/radar/ct/timeseries_groups/{dimension}

Retrieves the distribution of certificates grouped by the specified dimension over time.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse

Specifies the certificate attribute by which to group the results.

One of the following:
const CTTimeseriesGroupsParamsDimensionCA CTTimeseriesGroupsParamsDimension = "CA"
const CTTimeseriesGroupsParamsDimensionCAOwner CTTimeseriesGroupsParamsDimension = "CA_OWNER"
const CTTimeseriesGroupsParamsDimensionDuration CTTimeseriesGroupsParamsDimension = "DURATION"
const CTTimeseriesGroupsParamsDimensionEntryType CTTimeseriesGroupsParamsDimension = "ENTRY_TYPE"
const CTTimeseriesGroupsParamsDimensionExpirationStatus CTTimeseriesGroupsParamsDimension = "EXPIRATION_STATUS"
const CTTimeseriesGroupsParamsDimensionHasIPs CTTimeseriesGroupsParamsDimension = "HAS_IPS"
const CTTimeseriesGroupsParamsDimensionHasWildcards CTTimeseriesGroupsParamsDimension = "HAS_WILDCARDS"
const CTTimeseriesGroupsParamsDimensionLog CTTimeseriesGroupsParamsDimension = "LOG"
const CTTimeseriesGroupsParamsDimensionLogAPI CTTimeseriesGroupsParamsDimension = "LOG_API"
const CTTimeseriesGroupsParamsDimensionLogOperator CTTimeseriesGroupsParamsDimension = "LOG_OPERATOR"
const CTTimeseriesGroupsParamsDimensionPublicKeyAlgorithm CTTimeseriesGroupsParamsDimension = "PUBLIC_KEY_ALGORITHM"
const CTTimeseriesGroupsParamsDimensionSignatureAlgorithm CTTimeseriesGroupsParamsDimension = "SIGNATURE_ALGORITHM"
const CTTimeseriesGroupsParamsDimensionTLD CTTimeseriesGroupsParamsDimension = "TLD"
const CTTimeseriesGroupsParamsDimensionValidationLevel CTTimeseriesGroupsParamsDimension = "VALIDATION_LEVEL"
query CTTimeseriesGroupsParams
AggInterval param.Field[CTTimeseriesGroupsParamsAggInterval]optional

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.

const CTTimeseriesGroupsParamsAggInterval15m CTTimeseriesGroupsParamsAggInterval = "15m"
const CTTimeseriesGroupsParamsAggInterval1h CTTimeseriesGroupsParamsAggInterval = "1h"
const CTTimeseriesGroupsParamsAggInterval1d CTTimeseriesGroupsParamsAggInterval = "1d"
const CTTimeseriesGroupsParamsAggInterval1w CTTimeseriesGroupsParamsAggInterval = "1w"
CA param.Field[[]string]optional

Filters results by certificate authority.

CAOwner param.Field[[]string]optional

Filters results by certificate authority owner.

DateEnd param.Field[[]Time]optional

End of the date range (inclusive).

DateRange param.Field[[]string]optional

Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).

DateStart param.Field[[]Time]optional

Start of the date range.

Duration param.Field[[]CTTimeseriesGroupsParamsDuration]optional

Filters results by certificate duration.

const CTTimeseriesGroupsParamsDurationLte3D CTTimeseriesGroupsParamsDuration = "LTE_3D"
const CTTimeseriesGroupsParamsDurationGt3DLte7D CTTimeseriesGroupsParamsDuration = "GT_3D_LTE_7D"
const CTTimeseriesGroupsParamsDurationGt7DLte10D CTTimeseriesGroupsParamsDuration = "GT_7D_LTE_10D"
const CTTimeseriesGroupsParamsDurationGt10DLte47D CTTimeseriesGroupsParamsDuration = "GT_10D_LTE_47D"
const CTTimeseriesGroupsParamsDurationGt47DLte100D CTTimeseriesGroupsParamsDuration = "GT_47D_LTE_100D"
const CTTimeseriesGroupsParamsDurationGt100DLte200D CTTimeseriesGroupsParamsDuration = "GT_100D_LTE_200D"
const CTTimeseriesGroupsParamsDurationGt200D CTTimeseriesGroupsParamsDuration = "GT_200D"
EntryType param.Field[[]CTTimeseriesGroupsParamsEntryType]optional

Filters results by entry type (certificate vs. pre-certificate).

const CTTimeseriesGroupsParamsEntryTypePrecertificate CTTimeseriesGroupsParamsEntryType = "PRECERTIFICATE"
const CTTimeseriesGroupsParamsEntryTypeCertificate CTTimeseriesGroupsParamsEntryType = "CERTIFICATE"
ExpirationStatus param.Field[[]CTTimeseriesGroupsParamsExpirationStatus]optional

Filters results by expiration status (expired vs. valid).

const CTTimeseriesGroupsParamsExpirationStatusExpired CTTimeseriesGroupsParamsExpirationStatus = "EXPIRED"
const CTTimeseriesGroupsParamsExpirationStatusValid CTTimeseriesGroupsParamsExpirationStatus = "VALID"
Format param.Field[CTTimeseriesGroupsParamsFormat]optional

Format in which results will be returned.

const CTTimeseriesGroupsParamsFormatJson CTTimeseriesGroupsParamsFormat = "JSON"
const CTTimeseriesGroupsParamsFormatCsv CTTimeseriesGroupsParamsFormat = "CSV"
HasIPs param.Field[[]bool]optional

Filters results based on whether the certificates are bound to specific IP addresses.

HasWildcards param.Field[[]bool]optional

Filters results based on whether the certificates contain wildcard domains.

LimitPerGroup param.Field[int64]optional

Limits the number of objects per group to the top items within the specified time range. When item count exceeds the limit, extra items appear grouped under an "other" category.

Log param.Field[[]string]optional

Filters results by certificate log.

LogAPI param.Field[[]CTTimeseriesGroupsParamsLogAPI]optional

Filters results by certificate log API (RFC6962 vs. static).

const CTTimeseriesGroupsParamsLogAPIRfc6962 CTTimeseriesGroupsParamsLogAPI = "RFC6962"
const CTTimeseriesGroupsParamsLogAPIStatic CTTimeseriesGroupsParamsLogAPI = "STATIC"
LogOperator param.Field[[]string]optional

Filters results by certificate log operator.

Name param.Field[[]string]optional

Array of names used to label the series in the response.

Normalization param.Field[CTTimeseriesGroupsParamsNormalization]optional

Normalization method applied to the results. Refer to Normalization methods.

const CTTimeseriesGroupsParamsNormalizationRawValues CTTimeseriesGroupsParamsNormalization = "RAW_VALUES"
const CTTimeseriesGroupsParamsNormalizationPercentage CTTimeseriesGroupsParamsNormalization = "PERCENTAGE"
PublicKeyAlgorithm param.Field[[]CTTimeseriesGroupsParamsPublicKeyAlgorithm]optional

Filters results by public key algorithm.

const CTTimeseriesGroupsParamsPublicKeyAlgorithmDsa CTTimeseriesGroupsParamsPublicKeyAlgorithm = "DSA"
const CTTimeseriesGroupsParamsPublicKeyAlgorithmEcdsa CTTimeseriesGroupsParamsPublicKeyAlgorithm = "ECDSA"
const CTTimeseriesGroupsParamsPublicKeyAlgorithmRSA CTTimeseriesGroupsParamsPublicKeyAlgorithm = "RSA"
SignatureAlgorithm param.Field[[]CTTimeseriesGroupsParamsSignatureAlgorithm]optional

Filters results by signature algorithm.

const CTTimeseriesGroupsParamsSignatureAlgorithmDsaSha1 CTTimeseriesGroupsParamsSignatureAlgorithm = "DSA_SHA_1"
const CTTimeseriesGroupsParamsSignatureAlgorithmDsaSha256 CTTimeseriesGroupsParamsSignatureAlgorithm = "DSA_SHA_256"
const CTTimeseriesGroupsParamsSignatureAlgorithmEcdsaSha1 CTTimeseriesGroupsParamsSignatureAlgorithm = "ECDSA_SHA_1"
const CTTimeseriesGroupsParamsSignatureAlgorithmEcdsaSha256 CTTimeseriesGroupsParamsSignatureAlgorithm = "ECDSA_SHA_256"
const CTTimeseriesGroupsParamsSignatureAlgorithmEcdsaSha384 CTTimeseriesGroupsParamsSignatureAlgorithm = "ECDSA_SHA_384"
const CTTimeseriesGroupsParamsSignatureAlgorithmEcdsaSha512 CTTimeseriesGroupsParamsSignatureAlgorithm = "ECDSA_SHA_512"
const CTTimeseriesGroupsParamsSignatureAlgorithmPssSha256 CTTimeseriesGroupsParamsSignatureAlgorithm = "PSS_SHA_256"
const CTTimeseriesGroupsParamsSignatureAlgorithmPssSha384 CTTimeseriesGroupsParamsSignatureAlgorithm = "PSS_SHA_384"
const CTTimeseriesGroupsParamsSignatureAlgorithmPssSha512 CTTimeseriesGroupsParamsSignatureAlgorithm = "PSS_SHA_512"
const CTTimeseriesGroupsParamsSignatureAlgorithmRSAMd2 CTTimeseriesGroupsParamsSignatureAlgorithm = "RSA_MD2"
const CTTimeseriesGroupsParamsSignatureAlgorithmRSAMd5 CTTimeseriesGroupsParamsSignatureAlgorithm = "RSA_MD5"
const CTTimeseriesGroupsParamsSignatureAlgorithmRSASha1 CTTimeseriesGroupsParamsSignatureAlgorithm = "RSA_SHA_1"
const CTTimeseriesGroupsParamsSignatureAlgorithmRSASha256 CTTimeseriesGroupsParamsSignatureAlgorithm = "RSA_SHA_256"
const CTTimeseriesGroupsParamsSignatureAlgorithmRSASha384 CTTimeseriesGroupsParamsSignatureAlgorithm = "RSA_SHA_384"
const CTTimeseriesGroupsParamsSignatureAlgorithmRSASha512 CTTimeseriesGroupsParamsSignatureAlgorithm = "RSA_SHA_512"
TLD param.Field[[]string]optional

Filters results by top-level domain.

UniqueEntries param.Field[[]CTTimeseriesGroupsParamsUniqueEntry]optional

Specifies whether to filter out duplicate certificates and pre-certificates. Set to true for unique entries only.

const CTTimeseriesGroupsParamsUniqueEntryTrue CTTimeseriesGroupsParamsUniqueEntry = "true"
const CTTimeseriesGroupsParamsUniqueEntryFalse CTTimeseriesGroupsParamsUniqueEntry = "false"
ValidationLevel param.Field[[]CTTimeseriesGroupsParamsValidationLevel]optional

Filters results by validation level.

const CTTimeseriesGroupsParamsValidationLevelDomain CTTimeseriesGroupsParamsValidationLevel = "DOMAIN"
const CTTimeseriesGroupsParamsValidationLevelOrganization CTTimeseriesGroupsParamsValidationLevel = "ORGANIZATION"
const CTTimeseriesGroupsParamsValidationLevelExtended CTTimeseriesGroupsParamsValidationLevel = "EXTENDED"
ReturnsExpand Collapse
type CTTimeseriesGroupsResponse struct{…}
Meta CTTimeseriesGroupsResponseMeta

Metadata for the results.

AggInterval CTTimeseriesGroupsResponseMetaAggInterval

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.

One of the following:
const CTTimeseriesGroupsResponseMetaAggIntervalFifteenMinutes CTTimeseriesGroupsResponseMetaAggInterval = "FIFTEEN_MINUTES"
const CTTimeseriesGroupsResponseMetaAggIntervalOneHour CTTimeseriesGroupsResponseMetaAggInterval = "ONE_HOUR"
const CTTimeseriesGroupsResponseMetaAggIntervalOneDay CTTimeseriesGroupsResponseMetaAggInterval = "ONE_DAY"
const CTTimeseriesGroupsResponseMetaAggIntervalOneWeek CTTimeseriesGroupsResponseMetaAggInterval = "ONE_WEEK"
const CTTimeseriesGroupsResponseMetaAggIntervalOneMonth CTTimeseriesGroupsResponseMetaAggInterval = "ONE_MONTH"
ConfidenceInfo CTTimeseriesGroupsResponseMetaConfidenceInfo
Annotations []CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotation
DataSource CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

One of the following:
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceAll CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceAIBots CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "AI_BOTS"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "AI_GATEWAY"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceBGP CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceBots CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION_ANOMALY"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceCT CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "CT"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceDNS CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_MAGNITUDE"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_AS112"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceDos CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_ROUTING"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_SECURITY"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceFw CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "FW"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceFwPg CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "FW_PG"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceHTTP CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CONTROL"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CRAWLER_REFERER"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_ORIGINS"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceIQI CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED_CREDENTIALS"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceNet CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "NET"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS_TXT"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceSpeed CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS_AI"
Description string
EndDate Time
formatdate-time
EventType CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

One of the following:
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventTypeEvent CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType = "EVENT"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventTypeGeneral CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventTypeOutage CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL_PROJECTION"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventTypePipeline CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"
const CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly CTTimeseriesGroupsResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC_ANOMALY"
IsInstantaneous bool

Whether event is a single point in time or a time range.

LinkedURL string
formaturi
StartDate Time
formatdate-time
Level int64

Provides an indication of how much confidence Cloudflare has in the data.

DateRange []CTTimeseriesGroupsResponseMetaDateRange
EndTime Time

Adjusted end of date range.

formatdate-time
StartTime Time

Adjusted start of date range.

formatdate-time
LastUpdated Time

Timestamp of the last dataset update.

formatdate-time
Normalization CTTimeseriesGroupsResponseMetaNormalization

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
const CTTimeseriesGroupsResponseMetaNormalizationPercentage CTTimeseriesGroupsResponseMetaNormalization = "PERCENTAGE"
const CTTimeseriesGroupsResponseMetaNormalizationMin0Max CTTimeseriesGroupsResponseMetaNormalization = "MIN0_MAX"
const CTTimeseriesGroupsResponseMetaNormalizationMinMax CTTimeseriesGroupsResponseMetaNormalization = "MIN_MAX"
const CTTimeseriesGroupsResponseMetaNormalizationRawValues CTTimeseriesGroupsResponseMetaNormalization = "RAW_VALUES"
const CTTimeseriesGroupsResponseMetaNormalizationPercentageChange CTTimeseriesGroupsResponseMetaNormalization = "PERCENTAGE_CHANGE"
const CTTimeseriesGroupsResponseMetaNormalizationRollingAverage CTTimeseriesGroupsResponseMetaNormalization = "ROLLING_AVERAGE"
const CTTimeseriesGroupsResponseMetaNormalizationOverlappedPercentage CTTimeseriesGroupsResponseMetaNormalization = "OVERLAPPED_PERCENTAGE"
const CTTimeseriesGroupsResponseMetaNormalizationRatio CTTimeseriesGroupsResponseMetaNormalization = "RATIO"
Units []CTTimeseriesGroupsResponseMetaUnit

Measurement units for the results.

Name string
Value string
Serie0 CTTimeseriesGroupsResponseSerie0
One of the following:
type CTTimeseriesGroupsResponseSerie0UnnamedSchemaRef7826220e105d84352ba1108d9ed88e55 struct{…}
Timestamps []Time
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Rfc6962 []string
Static []string
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Gt121d []string
Gt16dLte31d []string
Gt31dLte91d []string
Gt3dLte16d []string
Gt91dLte121d []string
Lte3d []string
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Certificate []string
Precertificate []string
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Expired []string
Valid []string
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Negative []string
Positive []string
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Dsa []string
Ecdsa []string
RSA []string
type CTTimeseriesGroupsResponseSerie0Object struct{…}
Domain []string
Extended []string
Organization []string
Unknown []string

Get time series of certificate distribution by dimension

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.CT.TimeseriesGroups(
    context.TODO(),
    radar.CTTimeseriesGroupsParamsDimensionCA,
    radar.CTTimeseriesGroupsParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "timestamps": [
        "2023-08-08T10:15:00Z"
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "timestamps": [
        "2023-08-08T10:15:00Z"
      ]
    }
  },
  "success": true
}